Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.memdao
Class MessageDAOImpl

    java.lang.Object
      org.apache.ode.bpel.memdao.MessageDAOImpl

All Implemented Interfaces:
  MessageDAO

    public class MessageDAOImpl

extends java.lang.Object
implements MessageDAO

Constructor Summary
`MessageDAOImpl(MessageExchangeDAO messageExchange)`

Method Summary
`java.util.Date` | `getCreateTime()`
`org.w3c.dom.Element` | `getData()`
`org.w3c.dom.Element` | `getHeader()`
`MessageExchangeDAO` | `getMessageExchange()`
`javax.xml.namespace.QName` | `getType()`
`void` | `setData(org.w3c.dom.Element value)`
`void` | `setHeader(org.w3c.dom.Element value)`
`void` | `setType(javax.xml.namespace.QName type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDAOImpl

    public MessageDAOImpl(MessageExchangeDAO messageExchange)

Method Detail

### setType

    public void setType(javax.xml.namespace.QName type)

  Specified by:
    `setType` in interface `MessageDAO`

### getType

    public javax.xml.namespace.QName getType()

  Specified by:
    `getType` in interface `MessageDAO`

### setData

    public void setData(org.w3c.dom.Element value)

  Specified by:
    `setData` in interface `MessageDAO`

### getData

    public org.w3c.dom.Element getData()

  Specified by:
    `getData` in interface `MessageDAO`

### setHeader

    public void setHeader(org.w3c.dom.Element value)

  Specified by:
    `setHeader` in interface `MessageDAO`

### getHeader

    public org.w3c.dom.Element getHeader()

  Specified by:
    `getHeader` in interface `MessageDAO`

### getMessageExchange

    public MessageExchangeDAO getMessageExchange()

  Specified by:
    `getMessageExchange` in interface `MessageDAO`

### getCreateTime

    public java.util.Date getCreateTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD